#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,576,1216,2432,3008,3328,3648,4928
 * N : 25,128,192,256,576,1216,2432,3008,3328,3648,4928
 * NB : 5,12,12,20,32,64,64,64,64,72,72
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 5; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 416) (nb_) = 20; \
   else if ((n_) < 896) (nb_) = 32; \
   else if ((n_) < 3488) (nb_) = 64; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
